<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .contenedor{
            display: flex;
            flex-direction: row;
            justify-content: space-around;
        }
        h1{
            font-weight: normal;
        }
        div{
            padding: 15px;
            border-radius: 50px;
        }
        .rojo{
            color: red;
        }
        .negri{
            font-weight: bold;
        }
        .nonegri{
            font-weight: normal;
        }
        .verde{
            background-color: green;
        }
        .noverde{
            background-color: white;
        }
    </style>
</head>
<body>
    <h1>PRACTICANDO CON JQUERY</h1>
<div class="contenedor">
    <div class="rojo">Texto rojo</div>
    <div class="negro">Texto negro</div>
    <div class="negri">Añadir negrita</div>
    <div class="nonegri">Quitar negrita</div>
    <div class="verde">Fondo verde</div>
    <div class="noverde">Quitar fondo verde</div>
</div>    
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script>
   
    $(document).ready(function(){
    $('.rojo').mouseover(
        function(){
            $('h1').css("color","red");
        }
    )
    $('.negro').mouseover(
        function(){
            $('h1').css("color","black");
        }
    )
    $('.negri').mouseover(
        function(){
            $('h1').css("font-weight","bold");
        }
    )
    $('.nonegri').mouseover(
        function(){
            $('h1').css("font-weight","normal");
        }
    )
    $('.verde').mouseover(
        function(){
            $('h1').css("background-color","green");
        }
    )
    $('.noverde').mouseover(
        function(){
            $('h1').css("background-color","white");
        }
    )
    });
    

/*
    $(document).ready(function(){
       $('div.rojo').mouseover(function(){
           $("h1").addClass("rojo");
       });

       $('div.negro').mouseover(function(){
           $("h1").removeClass("rojo");
       });

       $('div.negri').mouseover(function(){
           $("h1").addClass("negri");
       });

       $('div.nonegri').mouseover(function(){
           $("h1").removeClass("negri");
       });

       $('div.verde').mouseover(function(){
           $("h1").addClass("verde");
       });

       $('div.noverde').mouseover(function(){
           $("h1").removeClass("verde");
       });
    })
*/

</script>
</body>
</html>